Overview | Package | Class | Use | Serialized | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.validation.internal.provisional.core
Interface IValidatorJob

All Superinterfaces:
  IValidator

    public interface IValidatorJob

extends IValidator

This is the Job interface for the validator. Validators implementing this interface are executed as background jobs. Following is a sequence of calls:

- validator.getSchedulingRule(helper)
- validator.validate(reporter)

Field Summary
`static IStatus` | `OK_STATUS`

Method Summary
`ISchedulingRule` | `getSchedulingRule(IValidationContext helper)` Get the scheduling rule, which the framework applies to the Validator job.
`IStatus` | `validateInJob(IValidationContext helper, IReporter reporter)` This is the method which performs the validation on the objects.

Methods inherited from interface org.eclipse.wst.validation.internal.provisional.core.IValidator
`cleanup, validate`

Field Detail

### OK_STATUS

    static final IStatus OK_STATUS

Method Detail

### validateInJob

    IStatus validateInJob(IValidationContext helper,
                          IReporter reporter)
                          throws org.eclipse.wst.validation.internal.core.ValidationException

  This is the method which performs the validation on the objects.

  `reporter` may not be null. `changedFiles` may be null, if a full build is desired.

  Parameters:
    `reporter` - Is an instance of an IReporter interface, which is used for interaction with the user.
    `helper` - Will not be null, loads an object.
  Throws:
    `org.eclipse.wst.validation.internal.core.ValidationException`

### getSchedulingRule

    ISchedulingRule getSchedulingRule(IValidationContext helper)

  Get the scheduling rule, which the framework applies to the Validator job.

  Parameters:
    `helper` - Will not be null, loads an object.

Overview | Package | Class | Use | Serialized | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD